Bug 1125061 - Registration requires terms agreement without letting user read the terms
Summary: Registration requires terms agreement without letting user read the terms
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: subscription-manager
Version: 7.2
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: rc
: 7.2
Assignee: candlepin-bugs
QA Contact: John Sefler
URL:
Whiteboard:
Depends On:
Blocks: rhsm-rhel72
TreeView+ depends on / blocked
 
Reported: 2014-07-31 02:12 UTC by notklaatu
Modified: 2015-07-09 16:07 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-07-09 16:07:04 UTC


Attachments (Terms of Use)

Description notklaatu 2014-07-31 02:12:30 UTC
Description of problem:
Installed RHEL7 this morning. Rebooted. First boot process asks me if I'd like to register.

I attempt to register, but it tells me I must agree to Terms of Use first. 

There is no apparent way to read or agree to these terms provided.



Version-Release number of selected component (if applicable):
7.2 x86_64 was the only test.


How reproducible:
It happened once, did not re-install to re-test.


Steps to Reproduce:
1. Install RHEL 7.2 from ISO
2. Reboot
3. Step thru setup process, attempt to register with RedHat login & passwd.


Actual results:
Could not register; had to back out of registration screen and opt to register later. 


Expected results:
If asked and recommended to register, when user agrees to register it should allow the user to register. If reading and agreeing to terms is required, then these terms should be provided at that point so that registration does not fail.


Additional info:
This is the desktop installer, not server; not sure if that makes a difference.

Comment 2 Martin Kolman 2014-07-31 07:56:12 UTC
The registration screen in Firstboot is provided by the Subscription Manager plugin, so reassigning to Subscription Manager.

Comment 3 notklaatu 2014-07-31 08:39:00 UTC
Thanks Martin.

Comment 6 notklaatu 2015-01-28 08:24:44 UTC
Re-installed to check a different bug.

Realised that the warning message about not having accepted the license is actually a button, to go and read the license.

Didn't look like a button. My bad.


Note You need to log in before you can comment on or make changes to this bug.